<!DOCTYPE html>

<html>

<head>
    <script src="assets/js-3.1.1/jquery.min.js"></script>
    <script type="text/javascript" language="javascript" src="assets/webcamjs-master/webcam.min.js"></script>
    <link href="assets/css/bootstrap.min.css" rel="stylesheet"> 
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/webcamjs/1.0.25/webcam.min.js"></script> -->

    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.min.css" /> -->

    <style type="text/css">

        #results { padding:20px; border:1px solid; background:#ccc; }

    </style>

</head>

<body>

  

<div class="container">

    <form method="POST" action="storeImage.php" id='iframewebcam'>

        <div class="row">

            <div class="col-md-6">

                <div id="my_camera"></div>

                <br/>

                <input type=button value="Take Snapshot" onClick="take_snapshot()" id='take' name='take'>

                <input type="hidden" name="image" class="image-tag">

            </div>

            <div class="col-md-6">

                <div id="results">Your captured image will appear here...</div>

            </div>

            <div class="col-md-12 text-center">

                <br/>

                <button class="btn btn-success">Submit</button>

            </div>

        </div>

    </form>

</div>

  

<!-- Configure a few settings and attach camera -->

<script language="JavaScript">
    var alamatfoto;
    alamatfoto='';
    Webcam.set({

        width: 490,

        height: 390,

        image_format: 'jpeg',

        jpeg_quality: 90

    });

  

    Webcam.attach( '#my_camera' );

  

    function take_snapshot() {

        Webcam.snap( function(data_uri) {

            $(".image-tag").val(data_uri);


            document.getElementById('results').innerHTML = '<img value="hasil" id="dokumen1" src="'+data_uri+'"/>';
            alamatfoto='<img src="'+data_uri+'"/>';
            /*document.getElementById('dokumenreferensi').innerHTML = '<img src="'+data_uri+'"/>';*/

        } );

    }
    

    

</script>

 

</body>

</html>